# Git Sync - Rsync Sync

Essential bind mounts:
- your config dir as /sync

Assuming bind mounts:
- your rsync excludes file as /rsync-sync.excludes

Preset env vars:
- GIT_SYNC_ROOT='/tmp/git'
- GIT_SYNC_DEST='sync'
- GIT_SYNC_EXECHOOK_COMMAND='/rsync-sync'
- GIT_SYNC_ADD_USER='true'
- RSYNC_SYNC_WEBHOOK_METHOD='POST'
- RSYNC_SYNC_WEBHOOK_TIMEOUT=1
- RSYNC_SYNC_WEBHOOK_BACKOFF=3
- RSYNC_SYNC_WEBHOOK_ATTEMPTS=3

Custom env vars (in order of execution):
1. RSYNC_SYNC_EXECHOOK_COMMAND
2. RSYNC_SYNC_WEBHOOK_URL
